unit Cdialog;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TControlDialog = class(TForm)
    Chosen: TListBox;
    Available: TListBox;
    Select: TSpeedButton;
    Remove: TSpeedButton;
    Cancel: TSpeedButton;
    OK: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    Restore: TCheckBox;
    procedure SelectClick(Sender: TObject);
    procedure CancelClick(Sender: TObject);
    procedure OKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure RemoveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
  end;

var
ButtonPressed:Word;

implementation
{$R *.DFM}

uses ResScale;

constructor TControlDialog.Create(AOwner: TComponent);
begin
     INHERITED CREATE(AOwner);
end;

procedure TControlDialog.SelectClick(Sender: TObject);
var
it:String;
i:integer;
begin
For I:= 0 to Available.Items.Count -1 do begin
it :=Available.items[i];
if ((Available.selected[i]) and (Chosen.items.IndexOf(it) = -1)) then
    Chosen.Items.Add (it);
end; {for}
end;


procedure TControlDialog.CancelClick(Sender: TObject);
begin
Modalresult:=mrcancel;
end;

procedure TControlDialog.OKClick(Sender: TObject);
var i:integer;
begin
Resscale.mycontrollist.clear;
if chosen.Items <> nil then
   for i:= 0 to chosen.items.count - 1 do
   resscale.mycontrollist.Add(Chosen.items[i]);
if Restore.Checked = true then RestoreFormState := Yes {yes}
else RestoreFormState := No; {no}
ModalResult:=mrOk;
end;

procedure TControlDialog.FormShow(Sender: TObject);
var i:Integer;
begin
Available.items.Add(TheOwner.name);
For i:= 0 to TWinControl(TheOwner).controlCount -1  do begin
{if  Not(TWincontrol(TheOwner).Controls[i].ClassNameis('TResScale')) Then}
   Available.items.Add(TWincontrol(TheOwner).Controls[i].Name);
end;
if Resscale.MyControllist.count > 0 then
   For i:= 0 to ResScale.MyControlList.Count -1  do
       Chosen.items.Add(MYControllist.Strings[i]);

if RestoreFormState = 1 then Restore.Checked := true
else Restore.checked :=false;       
end;

procedure TControlDialog.RemoveClick(Sender: TObject);
var
i:integer;
begin
i:=0;
While ((Chosen.Selcount > 0) and (i <> Chosen.Items.Count) and (Chosen.Items.count>0)) do begin
 if Chosen.selected[i] then begin
    Chosen.Items.Delete(i);
    i:=0;
 end
 else i:= i+1;
end;
end;

end.
